const collectionName = 'Students';
const documentId = '402778f6-bc8d-4aa5-a581-e08e3fc98c05';
domo.get(`/domo/datastores/v2/collections/${collectionName}/documents/${documentId}`)
.then(doc => console.log(doc));{
"id": "402778f6-bc8d-4aa5-a581-e08e3fc98c05",
"datastoreId": "daee775a-3be4-410d-ba20-bb0d94ce51cb",
"collectionId": "2148c830-14c2-478f-bb14-5c3019de46b4",
"syncRequired": true,
"owner": "540824222",
"createdBy": "540824222",
"createdOn": "2026-07-31T23:09:34.542Z",
"updatedOn": "2026-07-31T23:09:34.542Z",
"updatedBy": "540824222",
"content": {
"name": "Harry Potter",
"house": "Gryffindor",
"wand": {
"wood": "holly",
"core": "phoenix feather",
"length": 11
},
"courses": [
"Defense Against the Dark Arts",
"Potions",
"Transfiguration"
],
"enrolledOn": "1991-09-01",
"lastDetention": "1994-06-08T20:00:00Z"
}
}{
"status": 403,
"statusReason": "status 403 reading DocumentsResourceClient#getDocument(UUID,UUID)",
"toe": "PLA2ZUY5Z6-PHF58-7JGU6"
}{
"status": 404,
"statusReason": "status 404 reading DocumentsResourceClient#getDocument(UUID,UUID); content:{\"message\":\"Document with id '0599350c-6fdc-41fc-a2ff-c56b78b1a0cf' not found\",\"status\":404,\"statusReason\":\"Not Found\"}",
"toe": "HVJA1FVUF6-BCB2D-SYWOO"
}Get Document
Retrieves a single document from a collection.
const collectionName = 'Students';
const documentId = '402778f6-bc8d-4aa5-a581-e08e3fc98c05';
domo.get(`/domo/datastores/v2/collections/${collectionName}/documents/${documentId}`)
.then(doc => console.log(doc));{
"id": "402778f6-bc8d-4aa5-a581-e08e3fc98c05",
"datastoreId": "daee775a-3be4-410d-ba20-bb0d94ce51cb",
"collectionId": "2148c830-14c2-478f-bb14-5c3019de46b4",
"syncRequired": true,
"owner": "540824222",
"createdBy": "540824222",
"createdOn": "2026-07-31T23:09:34.542Z",
"updatedOn": "2026-07-31T23:09:34.542Z",
"updatedBy": "540824222",
"content": {
"name": "Harry Potter",
"house": "Gryffindor",
"wand": {
"wood": "holly",
"core": "phoenix feather",
"length": 11
},
"courses": [
"Defense Against the Dark Arts",
"Potions",
"Transfiguration"
],
"enrolledOn": "1991-09-01",
"lastDetention": "1994-06-08T20:00:00Z"
}
}{
"status": 403,
"statusReason": "status 403 reading DocumentsResourceClient#getDocument(UUID,UUID)",
"toe": "PLA2ZUY5Z6-PHF58-7JGU6"
}{
"status": 404,
"statusReason": "status 404 reading DocumentsResourceClient#getDocument(UUID,UUID); content:{\"message\":\"Document with id '0599350c-6fdc-41fc-a2ff-c56b78b1a0cf' not found\",\"status\":404,\"statusReason\":\"Not Found\"}",
"toe": "HVJA1FVUF6-BCB2D-SYWOO"
}Path Parameters
The name given to the collection in the manifest. Case-sensitive.
The UUID of the document.
Response
Document retrieved successfully
Unique identifier for the Document
Unique identifier of the Datastore that this Document's Collection belongs to.
Unique identifier of the Collection this Document belongs to.
Whether or not this Document needs to be synced by Domo to the associated DataSet; only applies if the syncEnabled option is on for the Collection.
User ID of the Document owner.
User ID of the user who created the Document.
The ISO-8601 timestamp showing when this Document was created.
The ISO-8601 timestamp showing when this Document was last updated.
User ID of the user who last updated the Document.
The actual Document content

